/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package it.eng.console.audit.action;

import java.util.HashMap;

import it.eng.spago.base.SessionContainer;
import it.eng.spago.base.SourceBean;
import it.eng.spago.dispatching.action.AbstractAction;

public class RestartAllInstancesAction extends AbstractAction {

	public void service(SourceBean serviceRequest, SourceBean serviceResponse)
			throws Exception {
		String processId = (String)serviceRequest.getAttribute("processId");
		String processInstanceId = (String)serviceRequest.getAttribute("processInstanceId");
		String key = processInstanceId + "_" + processInstanceId;
		
		SessionContainer sessionContainer = getRequestContainer().getSessionContainer();
		HashMap logsForInstanceBean = null;
		if (sessionContainer.getAttribute(key) != null)
			logsForInstanceBean = (HashMap)sessionContainer.getAttribute(key);
		
		//call method to restart single Instance
		
		//if ok remove from session beans of logs
		if(logsForInstanceBean != null)
			sessionContainer.delAttribute(key);
		
		serviceResponse.setAttribute("processId", processId);
		serviceResponse.setAttribute("processInstanceId", processInstanceId);
	}

}
